Package twisted :: Package manhole :: Module explorer

[frames | no frames]

## Module twisted.manhole.explorer

Support for python object introspection and exploration.

Note that Explorers, what with their list of attributes, are much like manhole.coil.Configurables. Someone should investigate this further. (TODO)

Also TODO: Determine how much code in here (particularly the function signature stuff) can be replaced with functions available in the `inspect` module available in Python 2.1.

Classes
`_MonkeysSetattrMixin` | A mix-in class providing __setattr__ for objects being watched.
`_WatchMonkey` | I hang on a method and tell you what I see.
`CRUFT_WatchyThingie` |
`Explorer` |
`ExplorerBuiltin` |
`ExplorerClass` |
`ExplorerFunction` |
`ExplorerGeneric` |
`ExplorerImmutable` |
`ExplorerInstance` | Attribute groups:
`ExplorerMapping` |
`ExplorerMethod` |
`ExplorerModule` |
`ExplorerSequence` |
`Pool` |
`Signature` | I represent the signature of a callable.

Variable Summary
`Pool` | `explorerPool` = `{}`
`int` | `False` = 0
`int` | `True` = 1
`dict` | `typeTable` = `{<type 'instance'>: <class twisted.manhole.e...`

Variable Details

### explorerPool

  Type:
    `Pool`
  Value:

        {}

### False

  Type:
    `int`
  Value:

        0

### True

  Type:
    `int`
  Value:

        1

### typeTable

  Type:
    `dict`
  Value:

        {<type 'NoneType'>: <class twisted.manhole.explorer.ExplorerImmutable \
        at 0x8723ae4>,
         <type 'str'>: <class twisted.manhole.explorer.ExplorerImmutable at 0x\
        8723ae4>,
         <type 'tuple'>: <class twisted.manhole.explorer.ExplorerSequence at 0\
        x867d6e4>,
         <type 'class'>: <class twisted.manhole.explorer.ExplorerClass at 0x84\
        c48b4>,
        ...

Generated by Epydoc 2.0 on Sat May 15 20:08:45 2004 | http://epydoc.sf.net